Package org.apache.storm.drpc

## Class LinearDRPCTopologyBuilder

- java.lang.Object
- - org.apache.storm.drpc.LinearDRPCTopologyBuilder

-     public class LinearDRPCTopologyBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinearDRPCTopologyBuilder​(String function)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LinearDRPCInputDeclarer` | `addBolt​(IBatchBolt bolt)` |
    `LinearDRPCInputDeclarer` | `addBolt​(IBatchBolt bolt, Number parallelism)` |
    `LinearDRPCInputDeclarer` | `addBolt​(IBasicBolt bolt)` |
    `LinearDRPCInputDeclarer` | `addBolt​(IBasicBolt bolt, Number parallelism)` |
    `LinearDRPCInputDeclarer` | `addBolt​(IRichBolt bolt)` | Deprecated.
    `LinearDRPCInputDeclarer` | `addBolt​(IRichBolt bolt, Number parallelism)` | Deprecated.
    `StormTopology` | `createLocalTopology​(ILocalDRPC drpc)` |
    `StormTopology` | `createRemoteTopology()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinearDRPCTopologyBuilder

          public LinearDRPCTopologyBuilder​(String function)

  - ### Method Detail

    - #### addBolt

          public LinearDRPCInputDeclarer addBolt​(IBatchBolt bolt,
                                                 Number parallelism)

    - #### addBolt

          public LinearDRPCInputDeclarer addBolt​(IBatchBolt bolt)

    - #### addBolt

          @Deprecated
          public LinearDRPCInputDeclarer addBolt​(IRichBolt bolt,
                                                 Number parallelism)

      Deprecated.

    - #### addBolt

          @Deprecated
          public LinearDRPCInputDeclarer addBolt​(IRichBolt bolt)

      Deprecated.

    - #### addBolt

          public LinearDRPCInputDeclarer addBolt​(IBasicBolt bolt,
                                                 Number parallelism)

    - #### addBolt

          public LinearDRPCInputDeclarer addBolt​(IBasicBolt bolt)

    - #### createLocalTopology

          public StormTopology createLocalTopology​(ILocalDRPC drpc)

    - #### createRemoteTopology

          public StormTopology createRemoteTopology()